For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETGet a commit version
      • POSTComplete a commit version
      • POSTReplay a commit version
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceCommits

Complete a commit version

POST
https://api.x.flatfile.com/v1/commits/:commitId/complete
POST
/v1/commits/:commitId/complete
$curl -X POST https://api.x.flatfile.com/v1/commits/commitId/complete \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "success": true
4 }
5}
Completes a commit version. This marks the commit as complete and acknowledges that the changes have been applied to the sheet.
Was this page helpful?
Previous

Replay a commit version

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

commitIdstringRequired
ID of the commit version to complete

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request Error
404
Not Found Error